xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (C) 2007 Andrea Rossato David Roundy
License | BSD3
Maintainer |
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Prompt.Directory

Contents

- Usage

Description

A directory prompt for XMonad

Synopsis

- directoryPrompt :: XPConfig -> String -> (String -> X ()) -> X ()
- directoryMultipleModes :: String -> (String -> X ()) -> XPType
- directoryMultipleModes' :: ComplCaseSensitivity -> String -> (String -> X ()) -> XPType
- data Dir

# Usage

For an example usage see XMonad.Layout.WorkspaceDir

directoryPrompt :: XPConfig -> String -> (String -> X ()) -> X () Source #

directoryMultipleModes Source #

Arguments

:: String | Prompt.
-> (String -> X ()) | Action.
-> XPType |

A `XPType` entry suitable for using with `mkXPromptWithModes`.

directoryMultipleModes' Source #

Arguments

:: ComplCaseSensitivity | Completion case sensitivity.
-> String | Prompt.
-> (String -> X ()) | Action.
-> XPType |

Like `directoryMultipleModes` with a parameter for completion case-sensitivity.

data Dir Source #

#### Instances

Instances details

XPrompt Dir Source # |
Instance details Defined in XMonad.Prompt.Directory Methods showXPrompt :: Dir -> String Source # nextCompletion :: Dir -> String -> [String] -> String Source # commandToComplete :: Dir -> String -> String Source # completionToCommand :: Dir -> String -> String Source # completionFunction :: Dir -> ComplFunction Source # modeAction :: Dir -> String -> String -> X () Source #